wide-dhcpv6 (20080615-24) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + wide-dhcpv6-server: Drop versioned constraint on lsb-base in Depends.
    + wide-dhcpv6-client: Drop versioned constraint on lsb-base in Depends.
    + wide-dhcpv6-relay: Drop versioned constraint on lsb-base in Depends.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Roger Shimizu ]
  * debian/patches: Add patch to fix typo in dhcp6c.conf.5 manpage
    (Closes: #987617).

 -- Roger Shimizu <rosh@debian.org>  Tue, 18 Mar 2025 02:25:13 -0700

wide-dhcpv6 (20080615-23.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root explicit when building the package.
    (Closes: #1089464)

 -- Niels Thykier <niels@thykier.net>  Fri, 03 Jan 2025 03:40:43 +0000

wide-dhcpv6 (20080615-23) unstable; urgency=medium

  * debian/wide-dhcpv6-client.links:
    - Make ifupdown script compatible with NetworkManager.
      Thanks to Yuxiang Zhu for the patch (Closes: #969384).
  * debian/patches:
    - Refresh 0010 patch.
    - Import 2 patches from Fedora.
  * debian/control and debian/copyright:
    - Update to use my debian email.
  * debian/*.lintian-overrides:
    - renamed-tag suggested by lintian:
      copyright-should-refer-to-common-license-file-for-gpl
        => copyright-not-using-common-license-for-gpl
  * debian/control:
    - Move Vcs-* to salsa.
    - Bump up debhelper version to 12.
  * Add debian/upstream/metadata
  * debian/po:
    - Use iconv to make all po translation to UTF-8 encoding.

 -- Roger Shimizu <rosh@debian.org>  Sun, 06 Sep 2020 20:07:31 +0900

wide-dhcpv6 (20080615-22) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #905740)
    - Fix build/host confusion introduced in #893988.
    - Let dh_auto_configure pass --host to ./configure.

  [ Roger Shimizu ]
  * debian/patches:
    - Refresh 0017 patch.
    - Add patch to support for a random interface id.
      Thanks to Christopher Martin (Closes: #911191).

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 03 Nov 2018 17:26:10 +0900

wide-dhcpv6 (20080615-21) unstable; urgency=medium

  [ Cyril Brulebois ]
  * debian/rules:
    - Introduce separate deb/udeb builds, copying source files under
      {build,build-udeb} since support for out-of-tree build seems
      broken.
    - Don't try to build only the dhcp6c binary in the udeb tree, as the
      install target tries to install everything anyway.
    - Patch Makefile.in to build the dhcp6c binary against static flex
      library in the udeb tree, to avoid a runtime dependency on libfl2
      (Closes: #893988).
  * debian/wide-dhcpv6-client-udeb.install:
    - Update to pick the dhcp6c binary built in the udeb tree and
      installed under the debian/tmp-udeb directory.
  * debian/patches/0017-Remove-unused-linking-with-libfl.patch:
    - Add a comment mentioning the tweak for the udeb build.
  * debian/control:
    - Add a build-dep on rsync for the build tree handling.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 25 Mar 2018 22:44:40 +0900

wide-dhcpv6 (20080615-20) unstable; urgency=medium

  * debian/patches:
    - Add patch 0017 to fix FTBFS with flex 2.6.4-6 in buster.
      Thanks to Adrian Bunk for the report and patch (Closes: #893008).
    - Add patch 0018 to ignore advertise messages with none of
      requested data and missed status codes.
      Thanks to Roman Mamedov for the report and Evgeniy Manachkin
      for the patch (Closes: #765453).
    - Add patch 0019 not to bind control port if there is no shared
      secret. Thanks to Robert Wolf for the report and patch.
      (Closes: #799080)
  * debian/control:
    - Remove homepage from description, since there's already in
      Homepage field. This can also avoid one lintian complaint.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 24 Mar 2018 23:05:29 +0900

wide-dhcpv6 (20080615-19) unstable; urgency=medium

  * debian/control:
      - Add libfl-dev as Build-Depends (Closes: #846457).

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 14 Dec 2016 19:46:19 +0900

wide-dhcpv6 (20080615-18) unstable; urgency=medium

  * debian/patches:
      - Change patch 0011
        + Adjust objects dependency and make parallel build working
        + Apply CPPFLAGS building flag to all C files
      - Refresh other patches by git-buildpackage patch-queue (gbp pq)

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 02 Nov 2016 01:03:36 +0900

wide-dhcpv6 (20080615-17) unstable; urgency=medium

  * debian/control:
      - Add lsb-base as dependency to all binary packages (except udeb),
        since the init script sources /lib/lsb/init-functions utility
        functions
      - Bump debhelper version to 10
      - Upgrade VCS URL to secure one (https)
      - Bump policy version to 3.9.8 (no actual change required)
  * debian/rules:
      - Add a few comments
      - Add hardening support
  * debian/patches:
      - Add 0016 patch to fix typo in dhcp6c.8 manpage
  * debian/copyright:
      - Upgrade URL to secure one (https)
      - Update my copyright year

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 30 Oct 2016 13:32:25 +0900

wide-dhcpv6 (20080615-16) unstable; urgency=low

  * debian/extra:
      - Move example files to "extra" folder
      - Add sample script of ppp/ipv6-ip/down for wide-dhcpv6-client
        (Closes: #561951)
  * debian/patches:
      - Add build support for GNU/Hurd platform
      - Add a bit info to logger when get dhcpv6 option:
        OPTION_RECONF_ACCEPT (Closes: #562079)

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 26 Dec 2015 08:18:15 +0900

wide-dhcpv6 (20080615-15) unstable; urgency=medium

  * debian/copyright:
      Change to v1.0 machine-readable format (DEP-5).
  * debian/control:
      Make lintian happy on "xc-package-type-in-debian-control" check.
  * debian/po:
      Added Brazilian Portuguese debconf templates translation, thanks to
      Eder L. Marques (Closes: #795355).
  * debian/*.{config,postinst,postrm}:
      Make lintian happy on "maintainer-script-without-set-e" check.
  * debian/*.lintian-overrides:
      This project is mainly BSD-3-clause license, only uses Bison which is
      GPL license with exception. So override here to make lintian ignore
      "copyright-should-refer-to-common-license-file-for-gpl" check.
  * debian/patches:
      - Merge patch 0011 with 0005 to make it more clear.
      - Add patch 0013 from upstream git repo to update sample configs.
      - Add kFreeBSD build support.
  * debian/rules:
      Restart service after (re)-install, and don't fail install when service
      start fails (Closes: #773878).
  * debian/*.init.d:
    debian/*.postinst:
      Add verbose log option to config files, and keep settings during
      upgrading.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 09 Dec 2015 01:15:09 +0900

wide-dhcpv6 (20080615-14) unstable; urgency=low

  * New maintainer (Closes: #743176).
  * Fix a few gcc warnings.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 10 Sep 2015 00:20:40 +0900

wide-dhcpv6 (20080615-13) unstable; urgency=low

  * Try and generate a default IFID only if an IFID is not configured
    (Closes: #751168).
  * Make sure daemons are properly stopped in init scripts, thanks to
    Tim Small <tim@buttersideup.com> for the initial patch (Closes: #745560).
  * Close file descriptors when executing client script (Closes: #757848).
  * Fix renewal of IA NA, patch by Vegard Engen <vegard@engen.priv.no>.
  * Call client script after interfaces have been configured (Closes: #734644).
  * Bumped up Standards-Version to 3.9.6: no changes needed.

 -- Jérémie Corbier <jcorbier@debian.org>  Tue, 02 Dec 2014 11:47:56 +0100

wide-dhcpv6 (20080615-12) unstable; urgency=low

  * Acknowledge l10n NMU by Christian Perrier
  * Switched to Debhelper compatibility level 9.
  * Bumped up Standards-Version to 3.9.4: no changes needed.

 -- Jérémie Corbier <jcorbier@debian.org>  Wed, 15 May 2013 10:51:25 +0200

wide-dhcpv6 (20080615-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #645824
    - Dutch; (Jeroen Schot).  Closes: #632629
    - Polish (Michał Kułach).  Closes: #659242
    - Italian (Beatrice Torracca).  Closes: #660000

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Feb 2012 19:07:44 +0100

wide-dhcpv6 (20080615-11) unstable; urgency=low

  * Add wide-dhcpv6-client-udeb for d-i integration, thanks to
    Matthew Palmer <mpalmer@debian.org> for the patch (Closes: #611870).

 -- Jérémie Corbier <jcorbier@debian.org>  Thu, 03 Feb 2011 14:06:05 +0100

wide-dhcpv6 (20080615-10) unstable; urgency=low

  * Fix wide-dhcpv6-{server,relay}.config.
  * Bumped up Standards-Version to 3.9.1: no changes needed.

 -- Jérémie Corbier <jcorbier@debian.org>  Mon, 15 Nov 2010 21:50:12 +0100

wide-dhcpv6 (20080615-9) unstable; urgency=low

  * New maintainer email address.
  * Init scripts gracefully exit if /etc/default/wide-dhcpv6-* files are not
    available.
  * debian/patches:
    -> Added 0007-Adding-ifid-option-to-the-dhcp6c.conf-prefix-interfa.patch:
       allows to override default EUI-64 address selection. Thanks to Bjørn Mork
       <bjorn@mork.no> for the patch (Closes: #591828).
  * Switch to a patch queue workflow.

 -- Jérémie Corbier <jcorbier@debian.org>  Thu, 11 Nov 2010 16:31:21 +0100

wide-dhcpv6 (20080615-8) unstable; urgency=low

  * debian/patches:
    -> Added debian/patches/103_update-ifid-on-restart.diff: interface id may
       change between a stop and a start command sent to the client, reset it on
       start. Thanks to Bjørn Mork <bjorn@mork.no> for the patch
       (Closes: #561949).
    -> Updated debian/patches/102_libc6-2.9-fixes.diff: now checks whether
       in6_pktinfo is defined by the libc or not.
  * debian/scripts/dhcp6c-script:
    -> Only add nameservers if they are not already declared in /etc/resolv.conf
      (Closes: #561945).
  * Added dependency on $remote_fs in init scripts LSB headers.
  * Switched to 3.0 (quilt) source package format ; no need for a README.source
    file anymore.
  * Bumped up Standards-Version to 3.8.4: no changes needed.

 -- Jérémie Corbier <jeremie+debian@famille-corbier.net>  Thu, 25 Mar 2010 10:07:03 +0100

wide-dhcpv6 (20080615-7) unstable; urgency=low

  * New maintainer email address.
  * debian/patches:
    -> Added debian/patches/102_libc6-2.9-fixes.diff: renamed dprintf to
       debug_printf since the libc already exports a dprintf symbol
       (Closes: #552845).
    -> Refreshed all patches.
  * Switched to Debhelper compatibility level 7:
    -> Got rid of cdbs.
    -> Updated .install files accordingly.
    -> Added a versionned dependency on quilt so as to be sure it provides a dh
       plugin.
  * Bumped up Standards-Version to 3.8.3:
    -> Made sure init scripts don't fail if the daemon is already started or
       already stopped.
  * Init scripts:
    -> Fix LSB header Provides field.
    -> Have lintian shut up about supposedly invalid /etc/default files
       sourcing.
  * Added Russian debconf templates translation, thanks to Yuri Kozlov
    (Closes: #551574).
  * Added Japanese debconf templates translation, thanks to Hideki Yamane
    (Closes: #553689).
  * Removed note about 2.4 kernels in packages' description.
  * Added the debian/README.source file.

 -- Jérémie Corbier <jeremie+debian@famille-corbier.net>  Mon, 02 Nov 2009 15:02:53 +0100

wide-dhcpv6 (20080615-6) unstable; urgency=low

  * debian/patches/102_libc6-2.9-fixes.diff: fix build failures caused by
    headers modifications in the latest libc6 (Closes: #518879).
  * Removed the warning about configuring the client once the install has
    finished since it is not displayed anymore.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Mon, 09 Mar 2009 11:16:58 +0100

wide-dhcpv6 (20080615-5) unstable; urgency=medium

  * debian/patches/101_close-fds.diff: make sure dhcp6c does not close already
    opened sockets (Closes: #513375).
  * Added Spanish debconf templates translation, thanks to Francisco Javier
    Cuadrado (Closes: #511920).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Wed, 28 Jan 2009 14:42:49 +0100

wide-dhcpv6 (20080615-4) unstable; urgency=medium

  * debian/patches: added 200_close-fds.diff so wide-dhcpv6 binaries close
    inherited file descriptors, from debconf, for instance (Closes: #512397).
    Thanks to Colin Watson for noticing and providing a fix.
  * debian/wide-dhcpv6-client.config: don't show Debconf note saying that one
    should configure dhcp6c manually right after its installation.  This should
    not be needed anymore thanks to profiles/default configuration.
  * debian/watch: use qa.debian.org SourceForge redirector.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Tue, 20 Jan 2009 15:33:37 +0100

wide-dhcpv6 (20080615-3) unstable; urgency=low

  * debian/patches/200_dhcp6c-profiles.diff: fix a segfault introduced by this
    patch in the case dhcp6c is not given any profile on the command line and
    the interface being handled does not have any configuration statement in
    dhcp6c.conf.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Mon, 29 Dec 2008 08:50:16 +0100

wide-dhcpv6 (20080615-2) unstable; urgency=low

  * Allowed to define profiles for groups of interfaces (Closes: #506300):
    -> Added debian/patches/200_dhcp6c-profiles.diff
    -> Modified default dhcp6c configuration so it provides a default profile
    -> Modified dhcp6c init script to use this default profile
  * Removed dependency on sharutils in wide-dhcpv6-server: it does not
    generate an authentication key at install time anymore.
  * Maintainer's scripts:
    -> Ensure their execution is aborted when any command fails.
    -> Update config scripts accordingly.
    -> Fix /etc/default/wide-dhcpv6-* files handling.
  * debian/patches: added patch descriptions so lintian stops complaining.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Thu, 18 Dec 2008 09:14:19 +0100

wide-dhcpv6 (20080615-1) unstable; urgency=low

  * New upstream release.
  * Made it possible for the server to actually handle several network
    interfaces.  It required to remove the possibility to control the server
    with dhcp6ctl though.
  * debian/control: no need to have Conflicts anymore since wide-dhcpv6-server
    no longer provides dhcp6ctl.
  * debian/patches:
    -> Removed 001_use-sig_atomic_t.diff, 002_singular-point-check-fix.diff,
       003_sprint_uint64-buffer-overrun-fix.diff,
       004_dhcp6s_accepts_relayed_req_msgs_with_auth_opt.diff,
       005_possible-mem-leak-and-double-frees-fix.diff,
       010_incorrect-valid-lifetime-in-IA_NA.diff,
       020_malformed-OPTION_DOMAIN_LIST.diff,
       030_NULL-pointer-access-with-non-binding-Decline-messages.diff:
       fixed upstream.
    -> Updated 006_wide-dhcpv6-mans-update.diff: escape a minus sign in
       dhcp6c.conf.5 so it is not interpreted as a hyphen by groff.
  * Bumped up Standards-Version to 3.8.0: no changes needed.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Sat, 21 Jun 2008 18:36:41 +0200

wide-dhcpv6 (20070507-5) unstable; urgency=low

  * debian/patches:
    -> Added 010_incorrect-valid-lifetime-in-IA_NA.diff: fix a bug where IA_NA
       in replies to Renew and Rebind messages contain the preferred lifetime
       instead of the valid lifetime in their valid lifetime field.
    -> Added 020_malformed-OPTION_DOMAIN_LIST.diff: fix a bug where
       OPTION_DOMAIN_LIST options could be malformed because of a
       miscalculated option length.
    -> Added 030_NULL-pointer-access-with-non-binding-Decline-messages.diff:
       fix a possible NULL pointer access when receiving a Decline message for
       a non-binding address.
    -> Updated 005_possible-mem-leak-and-double-frees-fix.diff: more memory
       leaks fixes.
    -> Updated 006_wide-dhcpv6-mans-update.diff: fix dhcp6ctl manpage.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Tue, 18 Mar 2008 12:47:39 +0100

wide-dhcpv6 (20070507-4) unstable; urgency=low

  * debian/patches:
    -> Added 004_dhcp6s_accepts_relayed_req_msgs_with_auth_opt.diff: upstream
       patch. Fix a bug which caused dhcp6s not to accept relayed request
       messages with authentication option.
    -> Added 005_possible-mem-leak-and-double-frees-fix.diff: upstream patch.
       Fix a possible memory leak and a possible double free.
  * debian/control:
    -> Bumped up Standards-Version to 3.7.3: no changes needed.
    -> Now use official Vcs-* and Homepage fields.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Fri, 07 Dec 2007 15:09:49 +0100

wide-dhcpv6 (20070507-3) unstable; urgency=low

  * debian/patches:
    -> Added 100_dont-strip-binaries.diff: prevent upstream build system from
       stripping binaries (Closes: #438262).
  * Added Portuguese debconf templates translation, thanks to Américo Monteiro
    (Closes: #437280).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Thu, 16 Aug 2007 09:10:41 -0700

wide-dhcpv6 (20070507-2) unstable; urgency=low

  * debian/patches:
    -> Added 001_use-sig_atomic_t.diff: use sig_atomic_t for sigflags in
       signal handlers.
    -> Added 002_singular-point-check-fix.diff: fix a singular-point
       detection failure in replay check.
    -> Added 003_sprint_uint64-buffer-overrun-fix.diff: fix a potential buffer
       overrun in sprint_uint64().
  * Added German debconf templates translation, thanks to Helge Kreutzmann
    (Closes: #428267).
  * Removed extra spaces in the debconf templates. All translations updated
    and unfuzzied (Closes: 428268).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Tue, 24 Jul 2007 13:24:13 -0700

wide-dhcpv6 (20070507-1) unstable; urgency=low

  * Mew upstream release.
  * Use quilt instead of dpatch.
  * debian/patches:
    -> Get rid of 002_Makefile.in.diff: dh_fixperms takes care of files
       ownership.
    -> Removed 001_bugfixes_20061227.diff: merged upstream.
  * debian/control:
    -> Added Vcs fields.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Mon, 07 May 2007 10:37:01 -0700

wide-dhcpv6 (20061016-2) unstable; urgency=low

  * debian/control: added lsb-base as a dependency.
  * debian/patches:
    -> Added 01_bugfixes_20061227.dpatch:
      + Bug fixes from CVS 20061227.
      + dhcp6relay accepts Unique Local IPv6 unicast Addresses.
      + Fix an IA allocation failure from pool in dhcp6s.
      + Fix "-P" option in dhcp6s.
    -> Updated 02_Makefile.in.dpatch.
  * debian/scripts/dhcp6c-ifupdown: check whether dhcp6c is running and exit
    silently if not. Avoid errors when network is brought up before the client
    is started (Closes: #404887).
  * debian/dhcp6c.conf: corrected typo in comment (Closes: #404584).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Fri,  5 Jan 2007 16:01:17 -0800

wide-dhcpv6 (20061016-1) unstable; urgency=low

  * New upstream release.
  * Cleaned up debian/rules.
  * debian/patches:
    -> Removed 02_CVS-20060920.dpatch: merged upstream.
  * debian/scripts:
    -> Fixed bashisms in dhcp6c-ifupdown (Closes: #396909).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Fri,  3 Nov 2006 13:20:55 -0800

wide-dhcpv6 (20060902-2) unstable; urgency=medium

  * The "Why should I test my init files when users can do that better than
    me" release..
  * Fix typo in wide-dhcpv6-*.init.d: it's /lib/lsb/init-functions, not
    init-functtions.. (Closes: #391718).
  * In wide-dhcpv6-client.init.d: replace log_end_message by log_end_msg, I
    must have been smoking crack when I updated those files.
  * Fix typo in dhcp6c.8: dhcp6c_duid is in /var/lib/dhcpv6, not in
    /var/lib/dhcp.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Sun,  8 Oct 2006 11:26:40 -0700

wide-dhcpv6 (20060902-1) unstable; urgency=low

  * New upstream release.
  * debian/wide-dhcpv6-*.init.d:
    -> LSB compliant init scripts.
  * debian/patches:
    -> Added 02_CVS-20060920.dpatch:
      + Update to CVS 20060920.
      + Fix a memory violation in lease management.
      + Fix a bug that dhcp6s inserts SIP server addresses into DNS server
        address option.
      + Fix a bug that status-code option might include a unexpected garbage
        value.
      + Fix dhcp6s documentation: you need to provide a preferred-lifetime for
        each address-prefix (Closes: #387416).
    -> Removed 02_remove-if-USE_POOL-macros.dpatch
    -> Removed 03_pid_dump.dpatch
    -> Removed 07_cftoken.l-bison.dpatch
    -> Removed 08_support-include-statement.dpatch
       All merged upstream.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Wed, 20 Sep 2006 14:36:12 -0700

wide-dhcpv6 (20060322-4) unstable; urgency=medium

  * debian/wide-dhcpv6-*.postinst: don't modify
    /etc/default/wide-dhcpv6-${daemon} if it already exists.
  * debian/patches:
    -> Removed 03_dhcp6c_pid_dump.dpatch, 04_dhcp6s_pid_dump.dpatch and
       05_dhcp6relay_pid_dump.dpatch.
    -> Added 03_pid_dump.dpatch: upstream patch.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Wed, 23 Aug 2006 23:21:05 +0200

wide-dhcpv6 (20060322-3) unstable; urgency=low

  * debian/scripts/dhcp6c-script:
    -> Added resolvconf support if it is installed, thanks to Mattias Guns
       (Closes: #369674).
  * debian/patches:
    -> 01_Makefile.in.dpatch: removes a bashism which caused a FTBFS if
       /bin/sh does not point to bash (Closes: #376369).
    -> 08_support-include-statement.dpatch: upstream patch allowing the use of
       include statements in config files.
    -> 02_remove-if-USE_POOL-macros.dpatch: upstream patch removing #ifdef
       USE_POOL macros since it is always enabled (patch needed by
       08_support-include-statement.dpatch).
    -> Removed old 02_client-bind-to-link-local.dpatch and
       08_common.h-missing-macros.dpatch.
  * Bumped up Standards-Version to 3.7.2.1 (no changes).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Sat,  8 Jul 2006 14:38:23 +0200

wide-dhcpv6 (20060322-2) unstable; urgency=low

  * Enabled Information Refresh Timer in dhcp6c.
  * Keys for the communication between dhcp6ctl and dhcp6c or dhcp6s are
    now automatically created on install.
  * Added default configuration for the client: installs a default stateless
    config.
  * Added a script to update /etc/resolv.conf with received DNS and domain
    information.
  * Added if-up/if-down scripts to enable/disable dhcp6c if needed.
  * Migrated configuration files to /etc/wide-dhcpv6.
  * Added Czech debconf templates translation, thanks to Miroslav Kure
    (Closes: #360274).
  * Bump up Standards-Version to 3.7.0 (no changes).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Sun, 16 Apr 2006 20:17:59 +0200

wide-dhcpv6 (20060322-1) unstable; urgency=low

  * New upstream release.
  * Disabled patches as upstream fixed the bugs:
    -> 02_client-bind-to-link-local.dpatch
    -> 08_common.h-missing-macros.dpatch

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Tue, 28 Mar 2006 17:41:07 +0200

wide-dhcpv6 (20060214-1) unstable; urgency=low

  * New upstream release.
  * Added 08_common.h-missing-macros.dpatch: adds macros that exist only in
    *BSD and which are required for pool management.
  * Updated the debconf templates to be developper's reference compliant.
  * Added Swedish debconf templates translation, thanks to Daniel Nylander
    (Closes: #353785).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Wed, 8 Mar 2006 14:06:04 +0100

wide-dhcpv6 (20060114-1) unstable; urgency=low

  * Initial release (Closes: #350329).
  * Added 01_Makefile.in.dpatch:
    -> minor changes so that the packages build correctly.
    -> removes config.{log,status} and Makefile provided by the upstream
       tarball.
  * Added 02_client-bind-to-link-local.dpatch: a patch for the client. It
    makes it bind to the link local address of the first configured network
    interface instead of ::/0, which doesn't work.
  * Added 03_dhcp6c_pid_dump.dpatch, 04_dhcp6s_pid_dump.dpatch and
    05_dhcp6relay_pid_dump.dpatch so that daemons dump their PIDs to /var/run.
  * Added 06_wide-dhcpv6-mans-update.dpatch to update the manpages and adapt
    them to the linux and especially Debian-like file hierarchy.
  * Added 07_cftoken.l-bison.dpatch: a little modification which makes the
    client and the server compile with flex instead of lex.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Sun, 29 Jan 2006 10:24:22 +0100
